On my way
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/on-my-wayconst options = {method: 'POST'};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/on-my-way', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/on-my-way"
response = requests.post(url)
print(response.text){
"id": "<string>",
"reference": "<string>",
"status": "<string>",
"urgency": "<string>",
"category": "<string>",
"description": "<string>",
"property": "<string>",
"scheduledFor": "<string>",
"createdAt": "<string>",
"onTheWayAt": "<string>",
"visit": {
"startsAt": "<string>",
"endsAt": "<string>"
},
"arrival": {
"stage": "<string>",
"at": "<string>",
"expectedAt": "<string>"
},
"report": {
"outcome": "<string>",
"at": "<string>"
},
"partsWait": {
"part": "<string>",
"expectedOn": "<string>",
"overdue": true
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-contractor
On my way
Tell the tenant the signed-in contractor is on the way to a job
POST
/
p
/
:tenant
/
contractor
/
jobs
/
{id}
/
on-my-way
On my way
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/on-my-wayconst options = {method: 'POST'};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/on-my-way', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/on-my-way"
response = requests.post(url)
print(response.text){
"id": "<string>",
"reference": "<string>",
"status": "<string>",
"urgency": "<string>",
"category": "<string>",
"description": "<string>",
"property": "<string>",
"scheduledFor": "<string>",
"createdAt": "<string>",
"onTheWayAt": "<string>",
"visit": {
"startsAt": "<string>",
"endsAt": "<string>"
},
"arrival": {
"stage": "<string>",
"at": "<string>",
"expectedAt": "<string>"
},
"report": {
"outcome": "<string>",
"at": "<string>"
},
"partsWait": {
"part": "<string>",
"expectedOn": "<string>",
"overdue": true
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes